Open SCAP Library

xccdf_plain_text_iterator Struct Reference
XCCDF

Plain text iterator. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions
Iterators
struct xccdf_plain_text * | xccdf_plain_text_iterator_next (struct xccdf_plain_text_iterator *it)
| Return the next xccdf_plain_text structure from the list and increment the iterator.
bool | xccdf_plain_text_iterator_has_more (struct xccdf_plain_text_iterator *it)
| Return true if the list is not empty, false otherwise.
void | xccdf_plain_text_iterator_free (struct xccdf_plain_text_iterator *it)
| Free the iterator structure (it makes no changes to the list structure)
void | xccdf_plain_text_iterator_reset (struct xccdf_plain_text_iterator *it)
| Reset the iterator structure (it makes no changes to the list structure)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
void | xccdf_plain_text_iterator_remove (struct xccdf_plain_text_iterator *it)

## Detailed Description

Plain text iterator.

See also
  oscap_iterator

The documentation for this struct was generated from the following file:

- xccdf_benchmark.h